Rygel.MetaConfig – librygel-core Reference Manual

# MetaConfig

## Object Hierarchy:

## Description:

public class MetaConfig : `Object`, Configuration

Manages all the configuration sources for Rygel.

Abstracts Rygel and its plugins from Configuration implementations. It keeps all real configuration sources in a list and returns the value provided by the first one. If none of them provides the value, it emits an error.

Namespace: Rygel
Package: librygel-core

## Content:

### Static methods:

- public static MetaConfig get_default ()
- public static void register_configuration (Configuration config)

### Creation methods:

- public MetaConfig ()

### Methods:

- public `bool` get_upnp_enabled () throws `Error`
- public `string` get_interface () throws `Error`
- public `string`[] get_interfaces () throws `Error`
- public `int` get_port () throws `Error`
- public `bool` get_transcoding () throws `Error`
- public `bool` get_allow_upload () throws `Error`
- public `bool` get_allow_deletion () throws `Error`
- public `string` get_log_levels () throws `Error`
- public `string` get_plugin_path () throws `Error`
- public `string` get_media_engine () throws `Error`
- public `string` get_engine_path () throws `Error`
- public `string` get_video_upload_folder () throws `Error`
- public `string` get_music_upload_folder () throws `Error`
- public `string` get_picture_upload_folder () throws `Error`
- public `bool` get_enabled (`string` section) throws `Error`
- public `string` get_title (`string` section) throws `Error`
- public `string` get_string (`string` section, `string` key) throws `Error`
- public `ArrayList`<`string`> get_string_list (`string` section, `string` key) throws `Error`
- public `int` get_int (`string` section, `string` key, `int` min, `int` max) throws `Error`
- public `ArrayList`<`int`> get_int_list (`string` section, `string` key) throws `Error`
- public `bool` get_bool (`string` section, `string` key) throws `Error`

### Inherited Members:

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count

All known members inherited from interface Rygel.Configuration

- get_upnp_enabled
- get_interface
- get_interfaces
- get_port
- get_transcoding
- get_allow_upload
- get_allow_deletion
- get_log_levels

- get_plugin_path
- get_engine_path
- get_media_engine
- get_video_upload_folder
- get_music_upload_folder
- get_picture_upload_folder
- get_enabled
- get_title

- get_string
- get_string_list
- get_int
- get_int_list
- get_bool
- configuration_changed
- section_changed
- setting_changed